HP ProCurve Manager 3.20 adCert input validation

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
10.0$0-$5k0.00

A vulnerability classified as very critical was found in HP ProCurve Manager 3.20 (Router Operating System). This vulnerability affects an unknown function. The manipulation of the argument adCert with an unknown input leads to a input validation vulnerability. The CWE definition for the vulnerability is CWE-20. The product receives input or data, but it does not validate or incorrectly validates that the input has the properties that are required to process the data safely and correctly. As an impact it is known to affect confidentiality, integrity, and availability. CVE summarizes:

UpdateDomainControllerServlet in the SNAC registration server in HP ProCurve Manager (PCM) 3.20 and 4.0, PCM+ 3.20 and 4.0, and Identity Driven Manager (IDM) 4.0 does not properly validate the adCert argument, which allows remote attackers to upload .jsp files and consequently execute arbitrary code via unspecified vectors, aka ZDI-CAN-1743.

The weakness was presented 09/16/2013 (Website). The advisory is available at zerodayinitiative.com. This vulnerability was named CVE-2013-4811 since 07/12/2013. The exploitation appears to be easy. The attack can be initiated remotely. No form of authentication is required for a successful exploitation. Technical details are known, but there is no available exploit. The structure of the vulnerability defines a possible price range of USD $0-$5k at the moment (estimation calculated on 01/07/2022).

It is declared as highly functional. As 0-day the estimated underground price was around $25k-$100k. The commercial vulnerability scanner Qualys is able to test this issue with plugin 121592 (HP ProCurve Manager Multiple Vulnerabilities).

There is no information about possible countermeasures known. It may be suggested to replace the affected object with an alternative product. Furthermore it is possible to detect and prevent this kind of attack with TippingPoint and the filter 13429.

The vulnerability is also documented in the vulnerability database at X-Force (87008).

Productinfo

Type

Vendor

Name

Version

License

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 10.0
VulDB Meta Temp Score: 10.0

VulDB Base Score: 10.0
VulDB Temp Score: 10.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Input validation
CWE: CWE-20
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Status: Highly functional

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Qualys ID: 🔍
Qualys Name: 🔍

MetaSploit ID: hp_pcm_snac_update_domain.rb
MetaSploit Name: HP ProCurve Manager SNAC UpdateDomainControllerServlet File Upload
MetaSploit File: 🔍

D2Sec: http://www.d2sec.com/exploits/hp_pcm+_snac_registration_server_updatedomaincontrollerservlet_file_upload.html

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: no mitigation known
Status: 🔍

0-Day Time: 🔍
TippingPoint: 🔍

McAfee IPS: 🔍
McAfee IPS Version: 🔍

ISS Proventia IPS: 🔍
Fortigate IPS: 🔍

Timelineinfo

07/12/2013 🔍
09/09/2013 +59 days 🔍
09/13/2013 +4 days 🔍
09/16/2013 +3 days 🔍
09/16/2013 +0 days 🔍
10/21/2013 +35 days 🔍
03/24/2015 +519 days 🔍
01/07/2022 +2481 days 🔍

Sourcesinfo

Vendor: hp.com

Advisory: zerodayinitiative.com
Status: Not defined

CVE: CVE-2013-4811 (🔍)
X-Force: 87008
SecurityTracker: 1029010
Vulnerability Center: 42017 - HP PCM and PCM+ 3.20, 4.0 IDM 4.0 and ALM Remote Code Execution Vulnerability via upload.jsp, Critical
SecurityFocus: 62349
Secunia: 54788 - HP ProCurve Manager Multiple Vulnerabilities, Highly Critical

Entryinfo

Created: 03/24/2015 03:54 PM
Updated: 01/07/2022 12:58 PM
Changes: 03/24/2015 03:54 PM (66), 01/29/2018 04:08 PM (5), 01/07/2022 12:58 PM (3)
Complete: 🔍
Cache ID: 44:B29:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you know our Splunk app?

Download it now for free!